## shapewipe shapewipe — Adds a shape wipe transition to a video stream |

## Properties

gfloat | border | Read / Write
gfloat | position | Read / Write

## Types and Values

struct | GstShapeWipe

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstShapeWipe

## Description

The shapewipe element provides custom transitions on video streams based on a grayscale bitmap. The state of the transition can be controlled by the position property and an optional blended border can be added by the border property.

Transition bitmaps can be downloaded from the

Cinelerra transition

page.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! video/x-raw,format=AYUV,width=640,height=480 ! shapewipe position=0.5 name=shape ! videomixer name=mixer ! videoconvert ! autovideosink     filesrc location=mask.png ! typefind ! decodebin ! videoconvert ! videoscale ! queue ! shape.mask_sink    videotestsrc pattern=snow ! video/x-raw,format=AYUV,width=640,height=480 ! queue ! mixer.

This pipeline adds the transition from mask.png with position 0.5 to an SMPTE test screen and snow.

## Synopsis

### Element Information

plugin | shapewipe
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Editor/Video

### Element Pads

name | mask_sink
direction | sink
presence | always
details | video/x-raw, format=(string)GRAY8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)0/1
| video/x-raw, format=(string)GRAY16_LE, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)0/1

name | video_sink
direction | sink
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstShapeWipe

    struct GstShapeWipe;

## Property Details

### The `“border”` property

      “border”                   gfloat

Border of the mask.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“position”` property

      “position”                 gfloat

Position of the mask.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0